Name:           bitfighter
Version:        022
Release:        %mkrel 4
Summary:        Free multi-player 2D space combat game with dual-axes controls
Group:          Games/Arcade
License:        GPLv2+
URL:            https://bitfighter.org
Source0:        https://bitfighter.org/files/%{name}-%{version}.tar.gz

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(alure)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(poly2tri)
BuildRequires:  pkgconfig(polyclipping)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  tomcrypt-devel

# Python notifier dependencies
Requires:       python3dist(dbus-python)
Requires:       python3dist(notify2)
#Requires:       python3-qt4-core
#Requires:       python3-qt4-gui

%description
Bitfighter is a free multi-player 2-D space combat game with dual-axes
controls. It's a team-based strategy game featuring retro vector graphics
and customizable ships. It's fast, fun, and frenetic.

%prep
%autosetup -p1

# Remove bundled dependencies
rm -rf alure \
  boost \
  clipper \
  lua \
  poly2tri \
  sqlite \
  tomcrypt

%build
# BUILD_SHARED_LIBS=OFF to prevent building tnl as .so
%cmake -DBUILD_SHARED_LIBS=OFF \
       -DCMAKE_BIN_PATH=%{_gamesbindir} \
       -DCMAKE_DATA_PATH=%{_gamesdatadir} \
       -DMASTER_MINIMAL=ON \
       -DLUAJIT_BUILTIN=OFF

%cmake_build

%install
%cmake_install

%files
%doc doc/README.txt LICENSE.txt
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}_notifier
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}.6*


%changelog
* Sat Oct 29 2022 ghibo <ghibo> 022-4.mga9
+ Revision: 1900018
- Rebuild against fixed alure library.
- Temporarily remove python-qt4-core from Requires, as it's not building anymore.

* Sat May 21 2022 wally <wally> 022-3.mga9
+ Revision: 1859677
- rebuild for poly2tri 20220520 snapshot

* Sat Apr 02 2022 umeabot <umeabot> 022-2.mga9
+ Revision: 1840399
- Mageia 9 Mass Rebuild

* Sat Jun 12 2021 wally <wally> 022-1.mga9
+ Revision: 1730485
- new version 0.22

* Fri Oct 23 2020 akien <akien> 021-1.mga8
+ Revision: 1638833
- Version 021
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Oct 16 2018 pterjan <pterjan> 019f-6.mga7
+ Revision: 1320920
- Enable aarch64
- Fix build on arm and aarch64

* Fri Sep 21 2018 umeabot <umeabot> 019f-5.mga7
+ Revision: 1295466
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 wally <wally> 019f-4.mga7
+ Revision: 1243474
- skip build on aarch64 for now
- drop unneeded BRs

* Fri Feb 16 2018 daviddavid <daviddavid> 019f-3.mga7
+ Revision: 1201685
- add patch to fix build with new luajit 2.1

* Sun Jan 28 2018 danf <danf> 019f-2.mga7
+ Revision: 1197612
- Rebuilt for new libtomcrypt

* Mon May 08 2017 akien <akien> 019f-1.mga6
+ Revision: 1099706
- Version 019f

* Mon Sep 19 2016 akien <akien> 019e-4.mga6
+ Revision: 1054419
- Rebuild again for polyclipping, for real this time

* Mon Sep 19 2016 akien <akien> 019e-3.mga6
+ Revision: 1054303
- Rebuild for polyclipping 6.4

* Sun Apr 24 2016 akien <akien> 019e-2.mga6
+ Revision: 1005898
- Build dependencies statically
- Version 019e
- Dramatic packaging simplifications

* Sat Feb 13 2016 umeabot <umeabot> 019d-5.mga6
+ Revision: 959606
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 cjw <cjw> 019d-4.mga6
+ Revision: 872418
- patch2: fix build with gcc 5

* Tue Jan 06 2015 akien <akien> 019d-3.mga5
+ Revision: 808785
- Remove dumb dependency, the issue was in alure

* Tue Jan 06 2015 akien <akien> 019d-2.mga5
+ Revision: 808758
- Require libdumb

* Sun Jan 04 2015 akien <akien> 019d-1.mga5
+ Revision: 808345
- Add BR on luajit and sqlite3
- Version 019d
- Build against system poly2tri, polyclipping and tomcrypt
- Add manpage

* Wed Oct 15 2014 umeabot <umeabot> 019c-3.mga5
+ Revision: 745553
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 019c-2.mga5
+ Revision: 678162
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR
+ akien <akien>
- Improve description and summary

* Sat Jun 28 2014 akien <akien> 019c-1.mga5
+ Revision: 640651
- Use system boost
- Use system alure/openal
- imported package bitfighter

